ST_Zmflag
Prev | 8.4. Geometry Accessors | Next

## Name

ST_Zmflag — Returns a code indicating the ZM coordinate dimension of a geometry.

## Synopsis

`smallint ST_Zmflag(`geometry geomA`)`;

## Description

Returns a code indicating the ZM coordinate dimension of a geometry.

Values are: 0 = 2D, 1 = 3D-M, 2 = 3D-Z, 3 = 4D.

This function supports 3d and will not drop the z-index.

This method supports Circular Strings and Curves

## Examples

    SELECT ST_Zmflag(ST_GeomFromEWKT('LINESTRING(1 2, 3 4)'));
     st_zmflag
    -----------
    		 0

    SELECT ST_Zmflag(ST_GeomFromEWKT('LINESTRINGM(1 2 3, 3 4 3)'));
     st_zmflag
    -----------
    		 1

    SELECT ST_Zmflag(ST_GeomFromEWKT('CIRCULARSTRING(1 2 3, 3 4 3, 5 6 3)'));
     st_zmflag
    -----------
    		 2
    SELECT ST_Zmflag(ST_GeomFromEWKT('POINT(1 2 3 4)'));
     st_zmflag
    -----------
    		 3

## See Also

ST_CoordDim, ST_NDims, ST_Dimension

Prev | Up | Next
ST_Z | Home | ST_AddPoint